# Filename: tri_extent_pts.py
# Purpose: Get triangulation extent as a list of points.
# Returns: Point list.

from maptek import vulcan

input_tri = 'topo.00t' # input tri

with vulcan.triangulation(input_tri) as tri: # Open tri to get information
    extent_list = tri.extent_pts() # Get extent list

    # do something with list...
    print(extent_list)